Cisco IOS Software Upgrade

Unanswered Question
Mar 14th, 2008

I have a catalyst 2950 ver. 12.1 EA(48 SI) and intend to upgrade to the latest version of the software. But there have been Four different IOS IMAGE releases before the latesr one of 2008. My question is, DO I HAVE TO UPGRADE THE PREVIOUS FOUR RELEASES BEFORE THE NEW ONW OR WILL UPGRADING DIRECTLY TO THE 2008 NEW IMAGE Suffice?

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Edison Ortiz Fri, 03/14/2008 - 13:33

You can upgrade directly to the intended IOS image, provided your hardware supports it (DRAM and Flash).




Latchum Naidu Fri, 03/04/2011 - 02:36


You no need to upgrade one by one to get latest.
You can directly upgrade to latest IOS.

Please see the below link for step by step IOS upgradation procedures and concerned things before going to upgrade for 2950 switches.

Please rate the helpfull posts.


This Discussion